Create IdeaClouds in batch
curl --request POST \
--url https://api.app.hrizn.io/v1/public/ideaclouds/batch \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"items": [
{
"keyword": "<string>",
"category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]
}
'import requests
url = "https://api.app.hrizn.io/v1/public/ideaclouds/batch"
payload = { "items": [
{
"keyword": "<string>",
"category_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
] }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [{keyword: '<string>', category_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}]
})
};
fetch('https://api.app.hrizn.io/v1/public/ideaclouds/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
items: [{keyword: '<string>', category_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'}]
})
};
fetch('https://api.app.hrizn.io/v1/public/ideaclouds/batch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.app.hrizn.io/v1/public/ideaclouds/batch",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'items' => [
[
'keyword' => '<string>',
'category_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"data": {
"items": [
{
"id": "0b3252dd-d82c-4dab-9656-c6095163bb30",
"keyword": "best SUVs for families 2026",
"status": "researching"
},
{
"id": "edc2bcc6-88d5-46d2-94cb-009236562b7e",
"keyword": "Chevrolet Silverado towing capacity guide",
"status": "researching"
}
],
"message": "Generation typically completes within a few minutes. Configure webhooks to receive real-time status notifications: https://api-docs.hrizn.io/webhooks"
}
}
Create IdeaClouds (batch)
Create up to 25 IdeaClouds in a single request
POST
/
ideaclouds
/
batch
Create IdeaClouds in batch
Submit multiple keywords for research in one request. Each item is processed independently.
Scope required:
ideaclouds:write
Request body
Response
Returns202 Accepted with status for each item.
{
"data": {
"items": [
{
"id": "0b3252dd-d82c-4dab-9656-c6095163bb30",
"keyword": "best SUVs for families 2026",
"status": "researching"
},
{
"id": "edc2bcc6-88d5-46d2-94cb-009236562b7e",
"keyword": "Chevrolet Silverado towing capacity guide",
"status": "researching"
}
],
"message": "Generation typically completes within a few minutes. Configure webhooks to receive real-time status notifications: https://api-docs.hrizn.io/webhooks"
}
}
IdeaCloud research is asynchronous and typically completes within a few minutes. Configure webhooks to receive real-time
ideacloud.completed and ideacloud.failed notifications instead of polling.Authorizations
Your Hrizn API key (prefix hzk_)
Body
application/json
Last modified on February 28, 2026
⌘I
